Bug 161047 - Vertical Tab dialogs--Page style dialog is too small and not resizeable
Summary: Vertical Tab dialogs--Page style dialog is too small and not resizeable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
24.8.0.0 alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:24.8.0
Keywords: bibisectRequest, regression
Depends on:
Blocks: Page-Style-Dialog Vertical_Tabs_dialogs
  Show dependency treegraph
 
Reported: 2024-05-12 00:01 UTC by Regina Henschel
Modified: 2024-06-10 15:13 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
page style dialog screenshot (29.25 KB, image/png)
2024-05-12 00:01 UTC, Regina Henschel
Details
Screenshot macOS (134.87 KB, image/png)
2024-05-13 13:48 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2024-05-12 00:01:09 UTC
Created attachment 194090 [details]
page style dialog screenshot

The page style dialog in Writer is too small, see attached screenshot. And worse, it is not resizable.
Comment 1 V Stuart Foote 2024-05-12 10:50:35 UTC
Confirmed, and an immediate problem as dialog can not be resized.

20240510 TB77 nightly
Version: 24.8.0.0.alpha0+ (X86_64) / LibreOffice Community
Build ID: 0ffdfb58a07e2a1b89a36bc241c6a2767e82cd2c
CPU threads: 8; OS: Windows 10 (10.0 build 19045); UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL threaded
Comment 2 Heiko Tietze 2024-05-13 13:48:15 UTC
Created attachment 194101 [details]
Screenshot macOS

The initial view also has no content, at least on macOS.
Comment 3 Commit Notification 2024-05-30 20:35:58 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7629d31f02a9fdbdf71295744c8869dee5cb4c54

tdf#161006 tdf#161049 tdf#161020 tdf#161047 fix VertTabCtrl size calculation

It will be available in 24.8.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.